CURLOPT_TCP_KEEPIDLE(3)

NAME
CURLOPT_TCP_KEEPIDLE - set TCP keep-alive idle time wait

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_TCP_KEEPIDLE, long delay);

DESCRIPTION
Pass a long. Sets the delay, in seconds, that the operating system will wait while the connection is idle before sending keepalive probes. Not all operating systems support this option.

DEFAULT
?

PROTOCOLS
All

EXAMPLE
TODO

AVAILABILITY
Added in 7.25.0

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_TCP_KEEPALIVE(3), CURLOPT_TCP_KEEPINTVL(3),